{
    "doc": "This defines a Supplementary Analysis Result",
    "fields": [
        {
            "doc": "Counts for each substitution trinucleotide context\ne.g. {\"A[T>A]G\": 117, \"G[T>G]C\": 39, [...]}",
            "name": "contextualAnalysisSubstitutionsCounts",
            "type": {
                "type": "map",
                "values": "int"
            }
        },
        {
            "doc": "Coefficients for mutational signatures\ne.g. {\"coefficients\":{\"signature1\":91.2595, [...]}, \"RSS\":0.0063}",
            "name": "mutationalSignatureContribution",
            "type": {
                "fields": [
                    {
                        "doc": "Coefficients for each mutational signatures\ne.g. {\"coefficients\":{\"signature1\":91.2595, [...]}}",
                        "name": "coefficients",
                        "type": {
                            "type": "map",
                            "values": "double"
                        }
                    },
                    {
                        "doc": "Confidence value\ne.g. {\"RSS\":0.0063}",
                        "name": "rss",
                        "type": "double"
                    }
                ],
                "name": "MutationalSignatureContribution",
                "type": "record"
            }
        },
        {
            "doc": "SNVs counts for each allele frequency bin\ne.g. {\"(-0.005,0.005]\":0,\"(0.005,0.015]\":0, [...]}",
            "name": "sNVAlleleFrequencyHistogramCounts",
            "type": {
                "type": "map",
                "values": "int"
            }
        },
        {
            "doc": "Indel counts for each allele frequency bin\ne.g. {\"(-0.005,0.005]\":0,\"(0.005,0.015]\":0, [...]}",
            "name": "indelAlleleFrequencyHistogramCounts",
            "type": {
                "type": "map",
                "values": "int"
            }
        },
        {
            "doc": "Counts for each indel length\ne.g. {\"(-50,-49]\":2,\"(-49,-48]\":2, [...]}",
            "name": "indelLengthHistogramCounts",
            "type": {
                "type": "map",
                "values": "int"
            }
        },
        {
            "doc": "Kataegis genomic regions\ne.g. [\"chrY:56829002,56833739\", \"chrX:1813120,1813466\", [...]]",
            "name": "genomicRegionsOfHypermutation",
            "type": {
                "items": "string",
                "type": "array"
            }
        }
    ],
    "name": "SupplementaryAnalysisResults",
    "namespace": "org.gel.models.report.avro",
    "type": "record"
}